export default pipwerks;
declare namespace pipwerks {
    namespace UTILS {
        function StringToBoolean(value: any): any;
        function windowHasApi(win: any): any;
        function windowIsValidOrigin(win: any): any;
        function trace(msg: any, level: any): void;
    }
    namespace SCORM {
        export function isAvailable(): boolean;
        export namespace API {
            function find(win: any): any;
            function get(): any;
            function getHandle(): any;
        }
        export namespace connection {
            function initialize(): boolean;
            function terminate(): boolean;
        }
        export namespace data {
            function get(parameter: any): string;
            function set(parameter: any, value: any): boolean;
            function save(): boolean;
        }
        export function status(action: any, status: any): boolean;
        export namespace debug {
            function getCode(): number;
            function getInfo(errorCode: any): string;
            function getDiagnosticInfo(errorCode: any): string;
        }
        import init = connection.initialize;
        export { init };
        import get = data.get;
        export { get };
        import set = data.set;
        export { set };
        import save = data.save;
        export { save };
        import quit = connection.terminate;
        export { quit };
    }
}
