import { CompletionStatus, MergedStatus, SuccessStatus, FilterScormPresets, FilterScormKeyValue, SCORMStorageType } from "./types";
export declare const ORDERED_SUCCESS_STATUS: {
    [Property in SuccessStatus]: number;
};
export declare const ORDERED_COMPLETION_STATUS: {
    [Property in CompletionStatus]: number;
};
export declare const ORDERED_MERGED_STATUS: {
    [Property in MergedStatus]: number;
};
export declare const SCORM_FILTER_PRESETS: {
    [T in SCORMStorageType]: {
        [key in FilterScormPresets]: Partial<FilterScormKeyValue<T>>;
    };
};
